#! /bin/sh
#
#  check.sh:  differential file comparator (diff) run to compare original
#             output files against newly created output files
#
# output file names must follow format "nameX.sufx" where:  "name" is
# "test" by default or can be supplied as argument(s) to check.sh; all
# numbers X must appear in "for Test" loop list below; all suffixes must 
# appear in "for Sufx" loop list below
#
# History: 99/09/08 mcrouse

DIVD=----------------------------------------
TOPDIR=..
DATA=$TOPDIR/data

# set list of names of files to be tested; name will be "test" by default
NameList=${@:-test}

# delete old output file  
if [ -f check.log ]; then rm check.log; fi

for Name in $NameList
do
  for Test in "" 1 2
  do
    for Sufx in out 
    do
      if [ -f $DATA/$Name$Test.$Sufx -a -f $Name$Test.$Sufx ]
      then
      # do comparison only if both orig. and new output files exist
        echo $DIVD$DIVD | tee -a check.log
        echo "comparison of $DATA/$Name$Test.$Sufx with $Name$Test.$Sufx" \
             | tee -a check.log

        if diff -w $DATA/$Name$Test.$Sufx $Name$Test.$Sufx >> check.log
        then
          echo FILES ARE IDENTICAL | tee -a check.log
        else
          echo FILES DIFFER:  see file check.log for differences
        fi
      fi
    done
  done
done

if [ -f $DATA/TABLES30.DAT -a -f TABLES30.DAT ]
then
# do comparison only if both orig. and new output files exist
  echo $DIVD$DIVD | tee -a check.log
  echo "comparison of $DATA/TABLES30.DAT with TABLES30.DAT" \
       | tee -a check.log

  if diff -w $DATA/TABLES30.DAT TABLES30.DAT >> check.log
  then
    echo FILES ARE IDENTICAL | tee -a check.log
  else
    echo FILES DIFFER:  see file check.log for differences
  fi
fi
